# Uses of Interface
java.lang.classfile.Signature.ArrayTypeSig

Packages that use Signature.ArrayTypeSig
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.ArrayTypeSig in java.lang.classfile

Methods in java.lang.classfile that return Signature.ArrayTypeSig
Modifier and Type
Method
Description
`static Signature.ArrayTypeSig`
Signature.ArrayTypeSig.`of(int dims, Signature componentSignature)`
Returns a signature for an array type.
`static Signature.ArrayTypeSig`
Signature.ArrayTypeSig.`of(Signature componentSignature)`
Returns an array type with the given component type.